@tool
@icon("res://addons/rokojori_action_library/Icons/RJ_SequenceAction.svg")
@abstract class_name RJ_SequenceAction extends Node

@export_tool_button( "Create Wrapper" )
var createWrapperAction = _createWrapper 


func _createWrapper() -> void:
  
  var wrapperClass = load( "res://addons/rokojori_action_library/Runtime/Actions/GDScriptSequenceAction.cs" )
  var wrapper = wrapperClass.new();
  wrapper.WrapRJSequenceAction( self );
  
## ---


func _onTrigger( node:GDScriptSequenceAction ) -> void:
  
  pass
  
## ---
